Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class FalseFilter

    java.lang.Object
      org.deegree.model.filterencoding.FalseFilter

All Implemented Interfaces:
  Filter

    public class FalseFilter

extends Object
implements Filter

A `Filter` that always evaluates to false.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`FalseFilter()`

Method Summary
`boolean` | `evaluate(Feature feature)` Calculates the `Filter`'s logical value (false).
`StringBuffer` | `to100XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.
`StringBuffer` | `to110XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.
`StringBuffer` | `toXML()` Produces an XML representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FalseFilter

    public FalseFilter()

Method Detail

### evaluate

    public boolean evaluate(Feature feature)

  Calculates the `Filter`'s logical value (false).

  Specified by:
    `evaluate` in interface `Filter`
  Parameters:
    `feature` - (in this special case irrelevant)
  Returns:
    false (always)

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object.

  Specified by:
    `toXML` in interface `Filter`
  Returns:
    an XML representation of this object

### to100XML

    public StringBuffer to100XML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.

  Specified by:
    `to100XML` in interface `Filter`
  Returns:
    an XML representation of this object

### to110XML

    public StringBuffer to110XML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.

  Specified by:
    `to110XML` in interface `Filter`
  Returns:
    an XML representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org